<html>

<head>
	<link rel="favicon" type="image/ico" href="favicon.ico" />
	<link rel='shortcut icon' type='image/x-icon' href='favicon.ico' />
	<script src="vcu/Inicio.elm.js"></script>
	<script src="libs/jquery.min.js"></script>
</head>

<body>
	<main></main>
	<script>
		let botones = ["bienvenido", "music", "art"];
		const app = Elm.Inicio.init({
			node: document.querySelector('main'),
			flags: {
				botones: botones,
				seccionArranque: "xxxxxxxxxxx"
			}
		});

		app.ports.portOutGetColors.subscribe(function() {
			console.log("consultando colores...");
			const colores = ["#ff0000", "#00ff00", "#0000ff", "#333333"];
			app.ports.portInColores.send(colores);
		});

		app.ports.portOutAplicarColorFondo.subscribe(function(params) {
			console.log("Aplicando color: ", params.color, " a: ", params.target);
			$(params.target).css("background-color", params.color);
		});
	</script>
</body>

</html>